> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a webhook delivery attempt

> Returns one sent or failed webhook attempt from the last 7 days, using the heron_id from the delivery list. payload is the JSON body sent and is only stored for failed attempts; it is null for sent ones. response_text is not truncated.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/webhooks/deliveries/{heron_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/webhooks/deliveries/{heron_id}:
    get:
      tags:
        - Webhooks
      summary: Get a webhook delivery attempt
      description: >-
        Returns one sent or failed webhook attempt from the last 7 days, using
        the heron_id from the delivery list. payload is the JSON body sent and
        is only stored for failed attempts; it is null for sent ones.
        response_text is not truncated.
      parameters:
        - in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDeliveryDetailSchema'
          description: Webhook delivery attempt
        '404':
          description: Delivery not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WebhookDeliveryDetailSchema:
      properties:
        end_user_heron_id:
          nullable: true
          readOnly: true
          type: string
        heron_id:
          readOnly: true
          type: string
        http_status:
          nullable: true
          readOnly: true
          type: integer
        occurred_at:
          format: date-time
          readOnly: true
          type: string
        payload:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        response_text:
          nullable: true
          readOnly: true
          type: string
        response_truncated:
          readOnly: true
          type: boolean
        status:
          readOnly: true
          type: string
        topic:
          nullable: true
          readOnly: true
          type: string
        webhook:
          allOf:
            - $ref: '#/components/schemas/WebhookDeliveryWebhook'
          nullable: true
          readOnly: true
      type: object
    WebhookDeliveryWebhook:
      properties:
        heron_id:
          readOnly: true
          type: string
        url:
          format: url
          readOnly: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.